package idl;
/**
<p>
<ul>
<li> <b>Java Class</b> idl._st_HelloCorba
<li> <b>Source File</b> idl/_st_HelloCorba.java
<li> <b>IDL Source File</b> HelloCorba.idl
<li> <b>IDL Absolute Name</b> ::idl::HelloCorba
<li> <b>Repository Identifier</b> IDL:idl/HelloCorba:1.0
</ul>
<b>IDL definition:</b>
<pre>
    interface HelloCorba {
      void setOneString(
        in string value1
      );
      void setTwoStrings(
        in string value1,
        in string value2
      );
      void setThreeStrings(
        in string value1,
        in string value2,
        in string value3
      );
      string getOneString();
      string getTwoStrings(
        out string value2
      );
      string getThreeStrings(
        out string value2,
        out string value3
      );
      void setLong(
        in long value
      );
      long getLong();
      void outLong(
        out long value
      );
      void setShort(
        in short value
      );
      short getShort();
      void outShort(
        out short value
      );
      void setULong(
        in unsigned long value
      );
      unsigned long getULong();
      void outULong(
        out unsigned long value
      );
      void setUShort(
        in unsigned short value
      );
      unsigned short getUShort();
      void outUShort(
        out unsigned short value
      );
      void setChar(
        in char value
      );
      char getChar();
      void outChar(
        out char value
      );
      void setBoolean(
        in boolean value
      );
      boolean getBoolean();
      void outBoolean(
        out boolean value
      );
      void setOctet(
        in octet value
      );
      octet getOctet();
      void outOctet(
        out octet value
      );
    };
</pre>
</p>
*/
public class _st_HelloCorba extends org.omg.CORBA.portable.ObjectImpl implements idl.HelloCorba {
  public java.lang.String[] _ids() {
    return __ids;
  }
  private static java.lang.String[] __ids = {
    "IDL:idl/HelloCorba:1.0"
  };
  /**
  <p>
  Operation: <b>::idl::HelloCorba::setOneString</b>.
  <pre>
    void setOneString(
      in string value1
    );
  </pre>
  </p>
  */
  public void setOneString(
    java.lang.String value1
  ) {
    try {
      org.omg.CORBA.portable.OutputStream _output = this._request("setOneString", true);
      _output.write_string(value1);
      org.omg.CORBA.portable.InputStream _input = this._invoke(_output, null);
    }
    catch(org.omg.CORBA.TRANSIENT _exception) {
      setOneString(
        value1
      );
    }
  }
  /**
  <p>
  Operation: <b>::idl::HelloCorba::setTwoStrings</b>.
  <pre>
    void setTwoStrings(
      in string value1,
      in string value2
    );
  </pre>
  </p>
  */
  public void setTwoStrings(
    java.lang.String value1,
    java.lang.String value2
  ) {
    try {
      org.omg.CORBA.portable.OutputStream _output = this._request("setTwoStrings", true);
      _output.write_string(value1);
      _output.write_string(value2);
      org.omg.CORBA.portable.InputStream _input = this._invoke(_output, null);
    }
    catch(org.omg.CORBA.TRANSIENT _exception) {
      setTwoStrings(
        value1,
        value2
      );
    }
  }
  /**
  <p>
  Operation: <b>::idl::HelloCorba::setThreeStrings</b>.
  <pre>
    void setThreeStrings(
      in string value1,
      in string value2,
      in string value3
    );
  </pre>
  </p>
  */
  public void setThreeStrings(
    java.lang.String value1,
    java.lang.String value2,
    java.lang.String value3
  ) {
    try {
      org.omg.CORBA.portable.OutputStream _output = this._request("setThreeStrings", true);
      _output.write_string(value1);
      _output.write_string(value2);
      _output.write_string(value3);
      org.omg.CORBA.portable.InputStream _input = this._invoke(_output, null);
    }
    catch(org.omg.CORBA.TRANSIENT _exception) {
      setThreeStrings(
        value1,
        value2,
        value3
      );
    }
  }
  /**
  <p>
  Operation: <b>::idl::HelloCorba::getOneString</b>.
  <pre>
    string getOneString();
  </pre>
  </p>
  */
  public java.lang.String getOneString() {
    try {
      org.omg.CORBA.portable.OutputStream _output = this._request("getOneString", true);
      org.omg.CORBA.portable.InputStream _input = this._invoke(_output, null);
      java.lang.String _result;
      _result = _input.read_string();
      return _result;
    }
    catch(org.omg.CORBA.TRANSIENT _exception) {
      return getOneString();
    }
  }
  /**
  <p>
  Operation: <b>::idl::HelloCorba::getTwoStrings</b>.
  <pre>
    string getTwoStrings(
      out string value2
    );
  </pre>
  </p>
  */
  public java.lang.String getTwoStrings(
    org.omg.CORBA.StringHolder value2
  ) {
    try {
      org.omg.CORBA.portable.OutputStream _output = this._request("getTwoStrings", true);
      org.omg.CORBA.portable.InputStream _input = this._invoke(_output, null);
      java.lang.String _result;
      _result = _input.read_string();
      value2.value = _input.read_string();
      return _result;
    }
    catch(org.omg.CORBA.TRANSIENT _exception) {
      return getTwoStrings(
        value2
      );
    }
  }
  /**
  <p>
  Operation: <b>::idl::HelloCorba::getThreeStrings</b>.
  <pre>
    string getThreeStrings(
      out string value2,
      out string value3
    );
  </pre>
  </p>
  */
  public java.lang.String getThreeStrings(
    org.omg.CORBA.StringHolder value2,
    org.omg.CORBA.StringHolder value3
  ) {
    try {
      org.omg.CORBA.portable.OutputStream _output = this._request("getThreeStrings", true);
      org.omg.CORBA.portable.InputStream _input = this._invoke(_output, null);
      java.lang.String _result;
      _result = _input.read_string();
      value2.value = _input.read_string();
      value3.value = _input.read_string();
      return _result;
    }
    catch(org.omg.CORBA.TRANSIENT _exception) {
      return getThreeStrings(
        value2,
        value3
      );
    }
  }
  /**
  <p>
  Operation: <b>::idl::HelloCorba::setLong</b>.
  <pre>
    void setLong(
      in long value
    );
  </pre>
  </p>
  */
  public void setLong(
    int value
  ) {
    try {
      org.omg.CORBA.portable.OutputStream _output = this._request("setLong", true);
      _output.write_long(value);
      org.omg.CORBA.portable.InputStream _input = this._invoke(_output, null);
    }
    catch(org.omg.CORBA.TRANSIENT _exception) {
      setLong(
        value
      );
    }
  }
  /**
  <p>
  Operation: <b>::idl::HelloCorba::getLong</b>.
  <pre>
    long getLong();
  </pre>
  </p>
  */
  public int getLong() {
    try {
      org.omg.CORBA.portable.OutputStream _output = this._request("getLong", true);
      org.omg.CORBA.portable.InputStream _input = this._invoke(_output, null);
      int _result;
      _result = _input.read_long();
      return _result;
    }
    catch(org.omg.CORBA.TRANSIENT _exception) {
      return getLong();
    }
  }
  /**
  <p>
  Operation: <b>::idl::HelloCorba::outLong</b>.
  <pre>
    void outLong(
      out long value
    );
  </pre>
  </p>
  */
  public void outLong(
    org.omg.CORBA.IntHolder value
  ) {
    try {
      org.omg.CORBA.portable.OutputStream _output = this._request("outLong", true);
      org.omg.CORBA.portable.InputStream _input = this._invoke(_output, null);
      value.value = _input.read_long();
    }
    catch(org.omg.CORBA.TRANSIENT _exception) {
      outLong(
        value
      );
    }
  }
  /**
  <p>
  Operation: <b>::idl::HelloCorba::setShort</b>.
  <pre>
    void setShort(
      in short value
    );
  </pre>
  </p>
  */
  public void setShort(
    short value
  ) {
    try {
      org.omg.CORBA.portable.OutputStream _output = this._request("setShort", true);
      _output.write_short(value);
      org.omg.CORBA.portable.InputStream _input = this._invoke(_output, null);
    }
    catch(org.omg.CORBA.TRANSIENT _exception) {
      setShort(
        value
      );
    }
  }
  /**
  <p>
  Operation: <b>::idl::HelloCorba::getShort</b>.
  <pre>
    short getShort();
  </pre>
  </p>
  */
  public short getShort() {
    try {
      org.omg.CORBA.portable.OutputStream _output = this._request("getShort", true);
      org.omg.CORBA.portable.InputStream _input = this._invoke(_output, null);
      short _result;
      _result = _input.read_short();
      return _result;
    }
    catch(org.omg.CORBA.TRANSIENT _exception) {
      return getShort();
    }
  }
  /**
  <p>
  Operation: <b>::idl::HelloCorba::outShort</b>.
  <pre>
    void outShort(
      out short value
    );
  </pre>
  </p>
  */
  public void outShort(
    org.omg.CORBA.ShortHolder value
  ) {
    try {
      org.omg.CORBA.portable.OutputStream _output = this._request("outShort", true);
      org.omg.CORBA.portable.InputStream _input = this._invoke(_output, null);
      value.value = _input.read_short();
    }
    catch(org.omg.CORBA.TRANSIENT _exception) {
      outShort(
        value
      );
    }
  }
  /**
  <p>
  Operation: <b>::idl::HelloCorba::setULong</b>.
  <pre>
    void setULong(
      in unsigned long value
    );
  </pre>
  </p>
  */
  public void setULong(
    int value
  ) {
    try {
      org.omg.CORBA.portable.OutputStream _output = this._request("setULong", true);
      _output.write_ulong(value);
      org.omg.CORBA.portable.InputStream _input = this._invoke(_output, null);
    }
    catch(org.omg.CORBA.TRANSIENT _exception) {
      setULong(
        value
      );
    }
  }
  /**
  <p>
  Operation: <b>::idl::HelloCorba::getULong</b>.
  <pre>
    unsigned long getULong();
  </pre>
  </p>
  */
  public int getULong() {
    try {
      org.omg.CORBA.portable.OutputStream _output = this._request("getULong", true);
      org.omg.CORBA.portable.InputStream _input = this._invoke(_output, null);
      int _result;
      _result = _input.read_ulong();
      return _result;
    }
    catch(org.omg.CORBA.TRANSIENT _exception) {
      return getULong();
    }
  }
  /**
  <p>
  Operation: <b>::idl::HelloCorba::outULong</b>.
  <pre>
    void outULong(
      out unsigned long value
    );
  </pre>
  </p>
  */
  public void outULong(
    org.omg.CORBA.IntHolder value
  ) {
    try {
      org.omg.CORBA.portable.OutputStream _output = this._request("outULong", true);
      org.omg.CORBA.portable.InputStream _input = this._invoke(_output, null);
      value.value = _input.read_ulong();
    }
    catch(org.omg.CORBA.TRANSIENT _exception) {
      outULong(
        value
      );
    }
  }
  /**
  <p>
  Operation: <b>::idl::HelloCorba::setUShort</b>.
  <pre>
    void setUShort(
      in unsigned short value
    );
  </pre>
  </p>
  */
  public void setUShort(
    short value
  ) {
    try {
      org.omg.CORBA.portable.OutputStream _output = this._request("setUShort", true);
      _output.write_ushort(value);
      org.omg.CORBA.portable.InputStream _input = this._invoke(_output, null);
    }
    catch(org.omg.CORBA.TRANSIENT _exception) {
      setUShort(
        value
      );
    }
  }
  /**
  <p>
  Operation: <b>::idl::HelloCorba::getUShort</b>.
  <pre>
    unsigned short getUShort();
  </pre>
  </p>
  */
  public short getUShort() {
    try {
      org.omg.CORBA.portable.OutputStream _output = this._request("getUShort", true);
      org.omg.CORBA.portable.InputStream _input = this._invoke(_output, null);
      short _result;
      _result = _input.read_ushort();
      return _result;
    }
    catch(org.omg.CORBA.TRANSIENT _exception) {
      return getUShort();
    }
  }
  /**
  <p>
  Operation: <b>::idl::HelloCorba::outUShort</b>.
  <pre>
    void outUShort(
      out unsigned short value
    );
  </pre>
  </p>
  */
  public void outUShort(
    org.omg.CORBA.ShortHolder value
  ) {
    try {
      org.omg.CORBA.portable.OutputStream _output = this._request("outUShort", true);
      org.omg.CORBA.portable.InputStream _input = this._invoke(_output, null);
      value.value = _input.read_ushort();
    }
    catch(org.omg.CORBA.TRANSIENT _exception) {
      outUShort(
        value
      );
    }
  }
  /**
  <p>
  Operation: <b>::idl::HelloCorba::setChar</b>.
  <pre>
    void setChar(
      in char value
    );
  </pre>
  </p>
  */
  public void setChar(
    char value
  ) {
    try {
      org.omg.CORBA.portable.OutputStream _output = this._request("setChar", true);
      _output.write_char(value);
      org.omg.CORBA.portable.InputStream _input = this._invoke(_output, null);
    }
    catch(org.omg.CORBA.TRANSIENT _exception) {
      setChar(
        value
      );
    }
  }
  /**
  <p>
  Operation: <b>::idl::HelloCorba::getChar</b>.
  <pre>
    char getChar();
  </pre>
  </p>
  */
  public char getChar() {
    try {
      org.omg.CORBA.portable.OutputStream _output = this._request("getChar", true);
      org.omg.CORBA.portable.InputStream _input = this._invoke(_output, null);
      char _result;
      _result = _input.read_char();
      return _result;
    }
    catch(org.omg.CORBA.TRANSIENT _exception) {
      return getChar();
    }
  }
  /**
  <p>
  Operation: <b>::idl::HelloCorba::outChar</b>.
  <pre>
    void outChar(
      out char value
    );
  </pre>
  </p>
  */
  public void outChar(
    org.omg.CORBA.CharHolder value
  ) {
    try {
      org.omg.CORBA.portable.OutputStream _output = this._request("outChar", true);
      org.omg.CORBA.portable.InputStream _input = this._invoke(_output, null);
      value.value = _input.read_char();
    }
    catch(org.omg.CORBA.TRANSIENT _exception) {
      outChar(
        value
      );
    }
  }
  /**
  <p>
  Operation: <b>::idl::HelloCorba::setBoolean</b>.
  <pre>
    void setBoolean(
      in boolean value
    );
  </pre>
  </p>
  */
  public void setBoolean(
    boolean value
  ) {
    try {
      org.omg.CORBA.portable.OutputStream _output = this._request("setBoolean", true);
      _output.write_boolean(value);
      org.omg.CORBA.portable.InputStream _input = this._invoke(_output, null);
    }
    catch(org.omg.CORBA.TRANSIENT _exception) {
      setBoolean(
        value
      );
    }
  }
  /**
  <p>
  Operation: <b>::idl::HelloCorba::getBoolean</b>.
  <pre>
    boolean getBoolean();
  </pre>
  </p>
  */
  public boolean getBoolean() {
    try {
      org.omg.CORBA.portable.OutputStream _output = this._request("getBoolean", true);
      org.omg.CORBA.portable.InputStream _input = this._invoke(_output, null);
      boolean _result;
      _result = _input.read_boolean();
      return _result;
    }
    catch(org.omg.CORBA.TRANSIENT _exception) {
      return getBoolean();
    }
  }
  /**
  <p>
  Operation: <b>::idl::HelloCorba::outBoolean</b>.
  <pre>
    void outBoolean(
      out boolean value
    );
  </pre>
  </p>
  */
  public void outBoolean(
    org.omg.CORBA.BooleanHolder value
  ) {
    try {
      org.omg.CORBA.portable.OutputStream _output = this._request("outBoolean", true);
      org.omg.CORBA.portable.InputStream _input = this._invoke(_output, null);
      value.value = _input.read_boolean();
    }
    catch(org.omg.CORBA.TRANSIENT _exception) {
      outBoolean(
        value
      );
    }
  }
  /**
  <p>
  Operation: <b>::idl::HelloCorba::setOctet</b>.
  <pre>
    void setOctet(
      in octet value
    );
  </pre>
  </p>
  */
  public void setOctet(
    byte value
  ) {
    try {
      org.omg.CORBA.portable.OutputStream _output = this._request("setOctet", true);
      _output.write_octet(value);
      org.omg.CORBA.portable.InputStream _input = this._invoke(_output, null);
    }
    catch(org.omg.CORBA.TRANSIENT _exception) {
      setOctet(
        value
      );
    }
  }
  /**
  <p>
  Operation: <b>::idl::HelloCorba::getOctet</b>.
  <pre>
    octet getOctet();
  </pre>
  </p>
  */
  public byte getOctet() {
    try {
      org.omg.CORBA.portable.OutputStream _output = this._request("getOctet", true);
      org.omg.CORBA.portable.InputStream _input = this._invoke(_output, null);
      byte _result;
      _result = _input.read_octet();
      return _result;
    }
    catch(org.omg.CORBA.TRANSIENT _exception) {
      return getOctet();
    }
  }
  /**
  <p>
  Operation: <b>::idl::HelloCorba::outOctet</b>.
  <pre>
    void outOctet(
      out octet value
    );
  </pre>
  </p>
  */
  public void outOctet(
    org.omg.CORBA.ByteHolder value
  ) {
    try {
      org.omg.CORBA.portable.OutputStream _output = this._request("outOctet", true);
      org.omg.CORBA.portable.InputStream _input = this._invoke(_output, null);
      value.value = _input.read_octet();
    }
    catch(org.omg.CORBA.TRANSIENT _exception) {
      outOctet(
        value
      );
    }
  }
}
